PHP 手册
后退 |  | 前进

# apache_getenv

(PHP 4 >= 4.3.0, PHP 5)

apache_getenv -- Get an Apache subprocess_env variable

## 说明

string apache_getenv ( string variable [, bool walk_to_top] )

Get an Apache environment variable as specified by variable.

This function requires Apache 2 otherwise it's undefined.

## 参数

variable

  The Apache environment variable

walk_to_top

  Whether to get the top-level variable available to all Apache layers.

## 返回值

The value of the Apache environment variable on success, or `FALSE` on failure

## 范例

例子 1. apache_getenv() example

The example above shows how to retrieve the value of the Apache environment variable SERVER_ADDR.

`<?php $ret = apache_getenv("SERVER_ADDR"); echo $ret; ?>`

上例的输出类似于：

    42.24.42.240

## 参见

apache_sentenv()
getenv()
Superglobals

后退 | 起点 | 前进
apache_get_version | 上一级 | apache_lookup_uri